org.eclipse.ui.views.navigator

## Class ShowInNavigatorAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.actions.SelectionProviderAction
        - - org.eclipse.ui.views.navigator.ShowInNavigatorAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

Deprecated.
as of 3.5, use the Common Navigator Framework classes instead

    @Deprecated
    public class ShowInNavigatorAction
    extends SelectionProviderAction

An action which shows the current selection in the Navigator view. For each element in the selection, if it is an `IResource` it uses it directly, otherwise if it is an `IMarker` it uses the marker's resource, otherwise if it is an `IAdaptable`, it tries to get the `IResource.class` adapter.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`ShowInNavigatorAction(IWorkbenchPage page, ISelectionProvider viewer)` Deprecated. Create a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `run()` Deprecated. Shows the Navigator view and sets its selection to the resources selected in this action's selection provider.
`void` `selectionChanged(IStructuredSelection selection)` Deprecated. Notifies this action that the given structured selection has changed in the selection provider.

### Methods inherited from class org.eclipse.ui.actions.SelectionProviderAction

`dispose, getSelection, getSelectionProvider, getStructuredSelection, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowInNavigatorAction

    public ShowInNavigatorAction(IWorkbenchPage page,
                                 ISelectionProvider viewer)

Deprecated.
Create a new instance of this class.

Parameters:
  `page` - the page
  `viewer` - the viewer

### Method Detail

#### run

    public void run()

Deprecated.
Shows the Navigator view and sets its selection to the resources selected in this action's selection provider.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  `How radio buttons are handled`, `How check boxes are handled`

#### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

Deprecated.
Description copied from class: `SelectionProviderAction`
Notifies this action that the given structured selection has changed in the selection provider.

The `SelectionProviderAction` implementation of this method does nothing. Subclasses may reimplement to react to this selection change.

Overrides:
  `selectionChanged` in class `SelectionProviderAction`
Parameters:
  `selection` - the new selection